Page MenuHomePhabricator

Update colours to follow Wikimedia style guide
Closed, ResolvedPublic

Description

Use current colours, find any holes in what's defined, assess if there are issues.

Also implement missing colour applications, assess whether or not current usage patterns makes sense, etc.

Defined here: https://design.wikimedia.org/style-guide/visual-style_colors.html

See also: https://www.mediawiki.org/wiki/Design/Link_colors

Event Timeline

Isarra created this task.Apr 6 2016, 11:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2016, 11:12 PM

Grey borders may be too light.
Visited link colours may be too dark.

T109915 is probably relevant.

Grey button borders are definitely too light.

Also concerns about link (blue/red) colours being too light in T158012

Also note that WMF colours have changed (again), so RGB usage for that may no longer be appropriate. Are we even going for WMFy-ness to begin with?

Content text color: Timeless is currently using #001133, a shade of very dark blue (1). I'd recommend using black text instead, per some of the discussion at T68021: Vector: insufficent text contrast impairs legibility and onwiki during/since the typography refresh.

Link text colors: I'm curious about the rationale for the link color changes. Were these intended to fix some kind of accessibility problems with Vector's colors? (afaik the best documentation of those is at https://en.wikipedia.org/wiki/Help:Link_color ). I do agree that some of the distinctions are possibly too subtle, but I'd like to see rationale for specific choices/changes. (Were those vector colors an outcome of the old usabilitywiki study?)

ToC colors: Please add the subtle difference that we added to Vector in T125317: Use grey text for section numbers in Table of Contents boxes. :-)

Isarra renamed this task from Assay of colours to Update colours to follow Wikimedia style guide.Dec 20 2017, 2:48 AM
Isarra updated the task description. (Show Details)
Isarra updated the task description. (Show Details)

Since we actually have a more thorough style guide now.

Content text color: Timeless is currently using #001133, a shade of very dark blue (1). I'd recommend using black text instead, per some of the discussion at T68021: Vector: insufficent text contrast impairs legibility and onwiki during/since the typography refresh.

I agree, I was just trying random things to see how it would be and it annoys me too.

Link text colors: I'm curious about the rationale for the link color changes. Were these intended to fix some kind of accessibility problems with Vector's colors? (afaik the best documentation of those is at https://en.wikipedia.org/wiki/Help:Link_color ). I do agree that some of the distinctions are possibly too subtle, but I'd like to see rationale for specific choices/changes. (Were those vector colors an outcome of the old usabilitywiki study?)

Rationale was mostly just that I wanted to reuse the general 'theme' colours (what will now be the colours from the style guide once addressed), but agreed, there are definitely some issues in practice. Likely updating to use the style guide colours won't necessarily resolve all of them, either.

No idea about where Vector's colours actually came from; as I recall rationales and documentation about that sort of thing were very lacking in general around that project, but I'll see if I can find anything.

ToC colors: Please add the subtle difference that we added to Vector in T125317: Use grey text for section numbers in Table of Contents boxes. :-)

If you see any other random things like this, please add them here or file a task specifically.

Isarra updated the task description. (Show Details)Dec 20 2017, 2:55 AM

Change 524332 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Use Wikimedia visual style colours

https://gerrit.wikimedia.org/r/524332

Change 524332 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Use Wikimedia visual style colours

https://gerrit.wikimedia.org/r/524332

Isarra closed this task as Resolved.Jul 19 2019, 10:03 PM
Quiddity updated the task description. (Show Details)Jul 19 2019, 10:22 PM
Isarra updated the task description. (Show Details)Jul 19 2019, 10:29 PM